opensaml-tools_3.0.1-1_amd64.deb


Advertisement

Description

opensaml-tools - Security Assertion Markup Language command-line tools

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename opensaml-tools_3.0.1-1_amd64.deb
Package name opensaml-tools
Package version 3.0.1
Package release 1
Package architecture amd64
Package type deb
Category universe/text
Homepage https://wiki.shibboleth.net/confluence/display/OpenSAML/Home
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 21.18 KB
Installed size 89.00 KB
OpenSAML is an open source implementation of the OASIS
Security Assertion Markup Language Specification. It contains a set of open
source C++ classes that support the SAML 1.0, 1.1, and 2.0 specifications.
This package contains samlsign, a command-line tool for signing and
verifying SAML assertions.

Alternatives

Package Version Architecture Repository
opensaml-tools_3.0.1-1_i386.deb 3.0.1 i386 Ubuntu Universe
opensaml-tools - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
liblog4shib2 -
libsaml10 -
libstdc++6 >= 5.2
libxerces-c3.2 -
libxmltooling8 -

Replaces

Name Value
opensaml2-tools << 3~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package opensaml-tools_3.0.1-1_amd64.deb
Source Package opensaml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install opensaml-tools deb package:
    # sudo apt-get install opensaml-tools

Files

Path
/usr/bin/samlsign
/usr/share/doc/opensaml-tools/NOTICE.txt
/usr/share/doc/opensaml-tools/README.txt
/usr/share/doc/opensaml-tools/changelog.Debian.gz
/usr/share/doc/opensaml-tools/copyright
/usr/share/man/man1/samlsign.1.gz

Changelog

2019-03-16 - Ferenc Wágner <wferi@debian.org>
opensaml (3.0.1-1) unstable; urgency=medium
* [d1daef5] Revert "Temporarily ignore build test failures"
* [792ec83] New upstream release: 3.0.1
* [dd69be3] Delete released patch fixing the tests, refresh the rest
* [5ec41bf] Update Standards-Version to 4.3.0 (no changes required)
* [38ff832] Update library version number in Lintian override
2018-11-25 - Ferenc Wágner <wferi@debian.org>
opensaml (3.0.0-2) unstable; urgency=medium
* [eb1b88f] New patch: CPPOST-110 Rebenchmark tests with SHA256 disgest.
Thanks to Rod Widdowson
* [2704b86] New patch: testBadSig requires fresh InCommon metadata
* [a8a62a4] Update Standards-Version to 4.2.1 (no changes required)
* Upload to unstable
2018-08-08 - Ferenc Wágner <wferi@debian.org>
opensaml (3.0.0-1) experimental; urgency=medium
[ Russ Allbery ]
* [9fdb478] Remove myself from Uploaders
[ Etienne Dysli Metref ]
* [eedef99] Migrate VCS URLs to salsa.debian.org/shib-team
[ Ferenc Wágner ]
* [13a968c] Use the 'replace' merge mode.
The debian directory is not upstream territory, so this is safer.
Unrelated change: the pristine-tar option is generic.
* [42aa2bf] Update Standards-Version to 4.1.5 (no changes required)
* [e825ff7] Revert "Provide a GCC 7 build with strict enough shlibs"
The GCC7 switchover is long done, this constraint isn't needed anymore.
* [9639147] Switch to Debhelper compat level 11
* [934499b] Stop repeating the common part of the package descriptions
* [bfbd108] Multiarch doesn't need Pre-Depends anymore
* [7ebea10] New upstream release: 3.0.0
* [d6dda65] Remove upstreamed patches, refresh the remaining one
* [2b541f0] Rename library package according to the new soversion
* [5cf0582] Shibboleth SP 3 requires XML-Security 2 and log4shib 2
* [b9355a2] We do not ship the libtool archive files
* [b4a16f4] Update debian/copyright
* [26bae95] Update Standards-Version to 4.2.0 (no changes required)
* [e2bd25f] Temporarily ignore build test failures
* [fea0e7e] Rework compiler flag handling in configure.
This enables debug info generation and optimization by default, and also
makes the --enable-debug option uninteresting for Debian.
* [d144f73] Clean up trailing whitespace in debian/changelog
* [5cef4c3] Lintian does not emit embedded-javascript-library for Doxygen
anymore
* [f3941fe] Revert "Build-Depend explicitly on automake"
We now require Debhelper compatibility level 11, which pulls in automake
only, not automaken.
* [fd52caa] Drop the 2 suffix from package names and reorganize documentation.
With the release of OpenSAML 3 version 2 became unsupported, so it looks
unlikely we'll ever need to package two major versions concurrently.
Thus we're removing the version number suffix from the package names.
The new libsaml-doc does not break and replace the old libsaml2-doc,
because at the same time we move the HTML API documentation shipped in
libsaml-doc under usr/share/doc/libsaml-dev as recommended by Policy:
this location is independent of the current dev/doc packaging split.  In
the same vein we use libsaml-api as the document ID for doc-base.
* [6d1906c] Add Lintian overrides for descriptions of transitional packages
* [1735df8] I don't plan to provide a symbols file

See Also

Package Description
opensaml2-schemas_3.0.1-1_all.deb transitional package
opensaml2-tools_3.0.1-1_all.deb transitional package
opensc-pkcs11_0.19.0-1build1_amd64.deb Smart card utilities with support for PKCS#15 compatible cards
opensc_0.19.0-1build1_amd64.deb Smart card utilities with support for PKCS#15 compatible cards
openscad-mcad_2014.03-1_all.deb library for the OpenSCAD 3D modeling software
openscad-testing-data_2019.01~RC2-2_all.deb script file based graphical CAD environment (test suite data)
openscad-testing_2019.01~RC2-2_amd64.deb script file based graphical CAD environment (test suite)
openscad_2019.01~RC2-2_amd64.deb script file based graphical CAD environment
openscap-daemon_0.1.10-3_all.deb Daemon for infrastructure continuous SCAP compliance checks
openscenegraph-3.4-doc_3.4.1+dfsg1-5_all.deb 3D scene graph, documentation
openscenegraph-3.4-examples_3.4.1+dfsg1-5_all.deb 3D scene graph, examples (sources)
openscenegraph-3.4_3.4.1+dfsg1-5_amd64.deb 3D scene graph, utilities and examples (binaries)
openscenegraph-doc_3.2.3+dfsg1-3ubuntu2_all.deb 3D scene graph, documentation
openscenegraph-examples_3.2.3+dfsg1-3ubuntu2_all.deb 3D scene graph, examples (sources)
openscenegraph-plugin-osgearth_2.10.0+dfsg-1build1_amd64.deb OpenSceneGraph plugins for osgEarth
Advertisement
Advertisement